# class Byebug::VarCommand::AllCommand

Shows global, instance and local variables

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/var/all.rb, line 22
          def self.description
            <<-DESCRIPTION
              v[ar] a[ll]

              #{short_description}
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/var/all.rb, line 18
    def self.regexp
      /^\s* a(?:ll)? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/var/all.rb, line 30
    def self.short_description
      "Shows local, global and instance variables of self."
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/var/all.rb, line 34
    def execute
      var_global
      var_instance("self")
      var_local
    end